Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class MCIndexSegmentSetMutualIntersector

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentSetMutualIntersector
          com.vividsolutions.jts.noding.MCIndexSegmentSetMutualIntersector

    public class MCIndexSegmentSetMutualIntersector

extends SegmentSetMutualIntersector

Intersects two sets of `SegmentString`s using a index based on `MonotoneChain`s and a `SpatialIndex`.

Version:
  1.7

Nested Class Summary
`class` | `MCIndexSegmentSetMutualIntersector.SegmentOverlapAction`

Field Summary

Fields inherited from class com.vividsolutions.jts.noding.SegmentSetMutualIntersector
`segInt`

Constructor Summary
`MCIndexSegmentSetMutualIntersector()`

Method Summary
`SpatialIndex` | `getIndex()`
`void` | `process(java.util.Collection segStrings)` Computes the intersections for two collections of `SegmentString`s.
`void` | `setBaseSegments(java.util.Collection segStrings)`

Methods inherited from class com.vividsolutions.jts.noding.SegmentSetMutualIntersector
`setSegmentIntersector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCIndexSegmentSetMutualIntersector

    public MCIndexSegmentSetMutualIntersector()

Method Detail

### getIndex

    public SpatialIndex getIndex()

### setBaseSegments

    public void setBaseSegments(java.util.Collection segStrings)

  Specified by:
    `setBaseSegments` in class `SegmentSetMutualIntersector`
  Parameters:
    `segStrings` - a collection of `SegmentString`s to node

### process

    public void process(java.util.Collection segStrings)

  Description copied from class: `SegmentSetMutualIntersector`
  Computes the intersections for two collections of `SegmentString`s.

  Specified by:
    `process` in class `SegmentSetMutualIntersector`
  Parameters:
    `segStrings` - a collection of `SegmentString`s to node

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD